%define upstream_name    AuthCAS
%define upstream_version 1.6

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Client library for CAS 2.0 authentication server
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildArch:  noarch

%description
AuthCAS aims at providing a Perl API to Yale's Central Authentication
System (CAS). Only a basic Perl library is provided with CAS whereas
AuthCAS is a full object-oriented library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -f t/pod-coverage.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.600.0-3.mga4
+ Revision: 509243
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.600.0-2.mga3
+ Revision: 363235
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 kharec <kharec> 1.600.0-1.mga3
+ Revision: 292023
- update to 1.6

* Tue Apr 12 2011 jquelin <jquelin> 1.500.0-1.mga1
+ Revision: 83736
- update to 1.5

* Tue Jan 18 2011 jquelin <jquelin> 1.400.0-1.mga1
+ Revision: 22020
- cleaning spec file
- imported package perl-AuthCAS


* Sun Jul 12 2009 Jérôme Quelin <jquelin@mandriva.org> 1.400.0-1mdv2010.0
+ Revision: 395063
- update to 1.4
- using %%perl_convert_version
- fixed license field

* Thu May 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.1-1mdv2010.0
+ Revision: 378430
- new version
- import perl-AuthCAS


* Thu May 21 2009 cpan2dist 1.3-1mdv
- initial mdv release, generated with cpan2dist

